Page MenuHomePhabricator

Deprecation of features used by HotCat makes core/extension JavaScript fail
Closed, ResolvedPublic

Description

  1. Visit https://www.mediawiki.org/wiki/Special:NewMessages
  2. Click a "mark as read" button

I. Observed: the button itself and the link to the thread disappear, but the thread next to them doesn't.
II. Expected: the thread disappears and I can read the next one in the same position.

  1. Reload

III. Observed and expected: the read thread is not listed.

This has started happening this week, IIRC; no errors in JavaScript console (well, except two for Echo, one for CentralAuth and one for Math, plus countless "Use mw.config instead" logs).


See also: Currently under discussion at commons:MediaWiki talk:Gadget-HotCat.js/Archive03#Errors in webconsole - deprecated.
Severity: Critical

Event Timeline

Nemo_bis created this task.Jan 8 2015, 8:51 AM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a subscriber: Nemo_bis.
Aklapper triaged this task as Lowest priority.Jan 8 2015, 1:43 PM

Hmm, I saw this yesterday, but cannot reproduce now?

(I've filed the Math bug as T86235: Exception thrown by ext.math.editbutton.enabler - TypeError: mw.toolbar is undefined)

Quiddity added a comment.EditedJan 8 2015, 9:40 PM

Hmm, I saw this yesterday, but cannot reproduce now?

Ah, with my other account, I can reproduce. But it clears up if I disable Hotcat. I've left a note at https://commons.wikimedia.org/wiki/MediaWiki_talk:Gadget-HotCat.js#Errors_in_webconsole_-_deprecated

Nemo_bis raised the priority of this task from Lowest to High.Jan 9 2015, 9:45 PM
Nemo_bis set Security to None.

But it clears up if I disable Hotcat.

Confirmed! Thanks.

I've left a note at https://commons.wikimedia.org/wiki/MediaWiki_talk:Gadget-HotCat.js#Errors_in_webconsole_-_deprecated

Good. Maybe we should rename this bug?

Nemo_bis renamed this task from Special:NewMessages "mark as read" doesn't collapse to Deprecation of features used by HotCat makes core/extension JavaScript fail.Jan 10 2015, 8:13 PM
Nemo_bis added subscribers: Liuxinyu970226, Robby.
Quiddity updated the task description. (Show Details)Jan 11 2015, 4:17 AM
He7d3r added a subscriber: He7d3r.
Nemo_bis raised the priority of this task from High to Unbreak Now!.Jan 13 2015, 8:12 PM

The bug has destroyed Commons' JavaScript for a few hours and now HotCat is unavailable. Wikis which are using HotCat directly will probably be destroyed at next upgrade.
https://commons.wikimedia.org/w/index.php?title=MediaWiki_talk%3AGadget-HotCat.js&diff=146405286&oldid=146288545

Aklapper added a subscriber: greg.Jan 14 2015, 1:23 PM

Am I right to assume that https://gerrit.wikimedia.org/r/#/c/184836/ would fix this?

He7d3r added a subscriber: Lupo.Jan 14 2015, 1:53 PM

I don't think HotCat uses the old/classical toolbar for anything, but I think @Lupo's edit fixes the issue.

I don't think HotCat uses the old/classical toolbar for anything, but I think @Lupo's edit fixes the issue.

As a global editinterface, can you please apply the fix to any local copies of HotCat as well?

I believe it is better to import¹ the fixed/original script instead of keeping forks around...

¹ mw:ResourceLoader/Migration guide (users)#Keep gadgets central

I believe it is better to import¹ the fixed/original script instead of keeping forks around...
¹ mw:ResourceLoader/Migration guide (users)#Keep gadgets central

Yes, it is.

Sure. Until shell users provide a complete list, searches can help. https://ru.wikipedia.org/wiki/MediaWiki:Gadget-HotCat.js is an example to check.

Sure. Until shell users provide a complete list, searches can help. https://ru.wikipedia.org/wiki/MediaWiki:Gadget-HotCat.js is an example to check.

1krenair@tin:~$ mwgrep HotCat --max-results=500
2## Public wiki results
3acewiki MediaWiki:Gadget-HotCat.js
4afwiki MediaWiki:Gadget-HotCat.js
5akwiki MediaWiki:Gadget-HotCat.js
6alswiki MediaWiki:Gadget-HotCat.js
7arcwiki MediaWiki:Gadget-HotCat.js
8arwiki MediaWiki:Gadget-HotCat.js
9arwiki MediaWiki:Gadget-LiveRC.js
10arwikibooks MediaWiki:Gadget-HotCat.js
11arwikinews MediaWiki:Gadget-HotCat.js
12arwikinews MediaWiki:Gadget-HotCat.js
13arwikiquote MediaWiki:Gadget-HotCat.js
14arwikisource MediaWiki:Gadget-HotCat.js
15arwikiversity MediaWiki:Gadget-HotCat.js
16arwiktionary MediaWiki:Gadget-HotCat.js
17arzwiki MediaWiki:Gadget-HotCat.js
18astwiki MediaWiki:Gadget-HotCat.js
19aswiki MediaWiki:Gadget-HotCat.js
20aswiki MediaWiki:Utilities.js
21aswikisource MediaWiki:Gadget-HotCat.js
22avwiki MediaWiki:Gadget-HotCat.js
23azbwiki MediaWiki:Gadget-HotCat.js
24azwiki MediaWiki:Gadget-HotCat.js
25azwikiquote MediaWiki:Gadget-HotCat.js
26azwikisource MediaWiki:Gadget-HotCat.js
27bat_smgwiki MediaWiki:Gadget-HotCat.js
28bawiki MediaWiki:Gadget-HotCat.js
29bdwikimedia MediaWiki:Gadget-HotCat.js
30be_x_oldwiki MediaWiki:Gadget-HotCat.js
31betawikiversity MediaWiki:Gadget-HotCat.js
32bewiki MediaWiki:Gadget-HotCat.js
33bewikimedia MediaWiki:Gadget-HotCat.js
34bgwiki MediaWiki:Gadget-HotCat.js
35bhwiki MediaWiki:Gadget-HotCat.js
36bhwiki MediaWiki:Gadget-HotCatLocal.js
37biwiki MediaWiki:Gadget-HotCat.js
38bjnwiki MediaWiki:Gadget-HotCat.js
39bnwiki MediaWiki:Gadget-HotCat.js
40bnwiki MediaWiki:Utilities.js
41bnwikibooks MediaWiki:Gadget-HotCat.js
42bnwikisource MediaWiki:Gadget-HotCat.js
43bnwiktionary MediaWiki:Gadget-HotCat.js
44bowiki MediaWiki:Gadget-HotCat.js
45brwiki MediaWiki:Gadget-HotCat.js
46brwiki MediaWiki:Gadget-HotCats.js
47brwikimedia MediaWiki:Gadget-HotCat.js
48brwikisource MediaWiki:Gadget-HotCats.js
49bswiki MediaWiki:Gadget-HotCat.js
50bugwiki MediaWiki:Gadget-HotCat.js
51bxrwiki MediaWiki:Gadget-HotCat.js
52cawiki MediaWiki:Gadget-HotCat.js
53cawikibooks MediaWiki:Gadget-HotCat.js
54cawikinews MediaWiki:Gadget-HotCat.js
55cawikiquote MediaWiki:Gadget-HotCat.js
56cewiki MediaWiki:Gadget-HotCat.js
57ckbwiki MediaWiki:Gadget-HotCat.js
58ckbwiki MediaWiki:Gadget-RenommageCategorieAction.js
59commonswiki MediaWiki:Gadget-GalleryDetails.js
60commonswiki MediaWiki:Gadget-HotCat.js
61commonswiki MediaWiki:Gadget-Hotcatcheck.js
62commonswiki MediaWiki:Gadget-libCat.js
63commonswiki MediaWiki:HotCat.js
64commonswiki MediaWiki:UploadForm.js
65commonswiki MediaWiki:UploadFormTest.js
66commonswiki MediaWiki:Utilities.js
67cswiki MediaWiki:Gadget-HotCat.js
68cswikinews MediaWiki:Gadget-HotCat.js
69cswikiquote MediaWiki:Gadget-HotCat.js
70cswikiversity MediaWiki:Gadget-HotCat.js
71dawiki MediaWiki:Gadget-hotcat-udvidet.js
72dawikibooks MediaWiki:Gadget-hotcat.js
73dawikiquote MediaWiki:Gadget-hotcat.js
74dawikisource MediaWiki:Gadget-hotcat.js
75dawiktionary MediaWiki:Gadget-hotcat.js
76dewiki MediaWiki:Gadget-HotCat.js
77dewikibooks MediaWiki:Gadget-HotCat.js
78dewikinews MediaWiki:Gadget-HotCat.js
79dewikiquote MediaWiki:Gadget-HotCat.js
80dewikisource MediaWiki:Gadget-HotCat.js
81dewikiversity MediaWiki:Gadget-HotCat.js
82dewikivoyage MediaWiki:Gadget-HotCat.js
83dewiktionary MediaWiki:Gadget-HotCat.js
84diqwiki MediaWiki:Gadget-HotCat.js
85dkwikimedia MediaWiki:Gadget-hotcat.js
86dsbwiki MediaWiki:Gadget-HotCats.js
87dvwiktionary MediaWiki:Gadget-HotCat.js
88elwiki MediaWiki:Gadget-HotCat-beta.js
89elwiki MediaWiki:Gadget-HotCat.js
90elwiki MediaWiki:Gadget-HotCats.js
91elwikinews MediaWiki:Gadget-HotCat.js
92elwikisource MediaWiki:Gadget-HotCats.js
93elwikiversity MediaWiki:Gadget-HotCats.js
94enwiki MediaWiki:Gadget-HotCat.js
95enwikinews MediaWiki:Gadget-HotCat.js
96enwikiquote MediaWiki:Gadget-HotCat.js
97enwikiquote MediaWiki:Gadget-HotCat.js
98enwikisource MediaWiki:Gadget-HotCat.js
99enwikiversity MediaWiki:Gadget-HotCat.js
100enwiktionary MediaWiki:Gadget-HotCat.js
101eowiki MediaWiki:Gadget-HotCat.js
102eowikibooks MediaWiki:Gadget-VarmaKato.js
103eowikiquote MediaWiki:Gadget-VarmaKato.js
104eowikisource MediaWiki:Gadget-HotCat.js
105eswiki MediaWiki:Gadget-HotCat.js
106eswikibooks MediaWiki:Gadget-HotCat.js
107eswikinews MediaWiki:Gadget-HotCat.js
108eswikiquote MediaWiki:Gadget-HotCat.js
109eswikivoyage MediaWiki:Gadget-HotCat.js
110eswiktionary MediaWiki:Gadget-HotCat.js
111etwiki MediaWiki:Gadget-HotCat.js
112euwiki MediaWiki:Gadget-HotCat.js
113euwiki MediaWiki:Gadget-HotCats.js
114fawiki MediaWiki:Gadget-HotCat.js
115fawiki MediaWiki:Gadget-LiveRC.js
116fawiki MediaWiki:Gadget-LiveRC.js/Extensions/HotCatsMulti.js
117fawiki MediaWiki:Gadget-LiveRC.js/Old.js
118fawiki MediaWiki:UploadForm.js
119fawikibooks MediaWiki:Gadget-HotCat.js
120fawikinews MediaWiki:Gadget-HotCat.js
121fawikinews MediaWiki:Gadget-LiveRC.js
122fawikiquote MediaWiki:Gadget-HotCat.js
123fawikisource MediaWiki:Gadget-HotCat.js
124fawikivoyage MediaWiki:Gadget-HotCat.js
125fawiktionary MediaWiki:Gadget-HotCat.js
126fiwiki MediaWiki:Gadget-HotCat.js
127fiwikinews MediaWiki:Gadget-HotCat.js
128fiwiktionary MediaWiki:Gadget-HotCat.js
129fiwiktionary MediaWiki:Gadget-Kaannokset.js
130foundationwiki MediaWiki:Gadget-HotCat.js
131fowiki MediaWiki:Gadget-HotCat.js
132frpwiki MediaWiki:Common.js
133frrwiki MediaWiki:Gadget-HotCat.js
134frwiki MediaWiki:Common.js
135frwiki MediaWiki:Gadget-HotCats.js
136frwiki MediaWiki:Gadget-HotCatsMulti.js
137frwiki MediaWiki:Gadget-HotCatsMultiCustomEdit.js
138frwiki MediaWiki:Gadget-LiveRC-frWP.js
139frwiki MediaWiki:Gadget-LiveRC.js
140frwiki MediaWiki:Gadget-LiveRC.js/Dev.js
141frwiki MediaWiki:Gadget-LiveRC.js/Extensions/HotCatsMulti.js
142frwiki MediaWiki:Gadget-LiveRC.js/i18n/en.js
143frwiki MediaWiki:Gadget-LiveRC.js/i18n/fr.js
144frwiki MediaWiki:Gadget-LiveRC.js/i18n/it.js
145frwiki MediaWiki:Gadget-LiveRCSiteConfig.js
146frwiki MediaWiki:Gadget-LiveRCSiteConfig.js/Dev.js
147frwiki MediaWiki:Gadget-RenommageCategorie.js
148frwikibooks MediaWiki:Gadget-HotCats.js
149frwikibooks MediaWiki:Gadget-LiveRC.js
150frwikinews MediaWiki:Gadget-HotCat.js
151frwikinews MediaWiki:Gadget-HotCatsMulti.js
152frwikinews MediaWiki:Gadget-Hotcatcheck.js
153frwikiquote MediaWiki:Gadget-HotCats.js
154frwikisource MediaWiki:Gadget-HotCats.js
155frwikisource MediaWiki:Gadget-HotCatsMulti.js
156frwikiversity MediaWiki:Gadget-HotCats.js
157frwikiversity MediaWiki:Gadget-LiveRC.js
158frwikivoyage MediaWiki:Gadget-HotCat.js
159frwiktionary MediaWiki:Gadget-HideCategories.js
160frwiktionary MediaWiki:Gadget-HotCat.js
161frwiktionary MediaWiki:Gadget-LiveRC.js
162gagwiki MediaWiki:Gadget-HotCat.js
163ganwiki MediaWiki:Gadget-HotCat.js
164glwiki MediaWiki:Gadget-HotCat.js
165guwiki MediaWiki:Gadget-HotCat.js
166guwiki MediaWiki:Gadget-Hotcatcheck.js
167guwikisource MediaWiki:Gadget-HotCat.js
168hewiki MediaWiki:Gadget-HotCat.js
169hewiki MediaWiki:HotCat.js
170hewikibooks MediaWiki:Gadget-HotCat.js
171hewikisource MediaWiki:Gadget-HotCat.js
172hewikivoyage MediaWiki:Gadget-HotCat.js
173hifwiki MediaWiki:Gadget-HotCat.js
174hiwiki MediaWiki:Gadget-HotCat.js
175hiwiktionary MediaWiki:Gadget-HotCat.js
176hrwiki MediaWiki:Gadget-HotCat.js
177hrwikiquote MediaWiki:Gadget-HotCat.js
178hrwikisource MediaWiki:Gadget-HotCat.js
179hrwiktionary MediaWiki:Gadget-HotCat.js
180hsbwiki MediaWiki:Gadget-HotCats.js
181hsbwiktionary MediaWiki:Gadget-HotCat.js
182huwiki MediaWiki:Gadget-HotCat.js
183huwikibooks MediaWiki:Gadget-HotCat.js
184huwikinews MediaWiki:Gadget-hotcat.js
185huwikiquote MediaWiki:Gadget-HotCat.js
186huwikisource MediaWiki:Gadget-hotcat.js
187huwiktionary MediaWiki:Gadget-hotcat.js
188hywiki MediaWiki:Gadget-HotCat.js
189hywikiquote MediaWiki:Gadget-HotCat.js
190hywiktionary MediaWiki:Gadget-HotCat.js
191idwiki MediaWiki:Gadget-HotCat.js
192idwiktionary MediaWiki:Gadget-HotCat.js
193ilowiki MediaWiki:Gadget-HotCat.js
194incubatorwiki MediaWiki:Gadget-HotCat.js
195incubatorwiki MediaWiki:HotCat.js
196iswiki MediaWiki:Gadget-HotCat.js
197itwiki MediaWiki:Gadget-HotCat.js
198itwiki MediaWiki:Gadget-LiveRC 1x.js
199itwikibooks MediaWiki:Gadget-HotCat.js
200itwikiquote MediaWiki:Gadget-HotCat.js
201itwikiquote MediaWiki:Gadget-HotCatMulti.js
202itwikisource MediaWiki:Gadget-HotCat.js
203itwikiversity MediaWiki:Gadget-HotCat.js
204itwikivoyage MediaWiki:Gadget-HotCat.js
205itwikivoyage MediaWiki:Gadget-HotCatMulti.js
206jawiki MediaWiki:Gadget-HotCat.js
207jvwiki MediaWiki:Gadget-HotCat.js
208kaawiki MediaWiki:Gadget-HotCat.js
209kawiki MediaWiki:Gadget-Hotcat.js
210kawiktionary MediaWiki:Gadget-HotCat.js
211kbdwiki MediaWiki:Gadget-HotCat.js
212kkwiki MediaWiki:Gadget-HotCat.js
213kmwiki MediaWiki:Gadget-HotCat.js
214knwiki MediaWiki:Gadget-HotCat.js
215kowiki MediaWiki:Gadget-HotCat.js
216kowikinews MediaWiki:Gadget-HotCat.js
217kowikiquote MediaWiki:Gadget-HotCat.js
218kowikisource MediaWiki:Gadget-HotCat.js
219kshwiki MediaWiki:Gadget-HotCat.js
220kuwiki MediaWiki:Gadget-HotCat.js
221ladwiki MediaWiki:Gadget-HotCat.js
222lawiki MediaWiki:Gadget-HotCat.js
223lbwiki MediaWiki:Gadget-HotCat.js
224lezwiki MediaWiki:Gadget-HotCat.js
225ltwiki MediaWiki:Gadget-HotCat.js
226ltwiktionary MediaWiki:Gadget-HotCat.js
227lvwiki MediaWiki:Gadget-HotCat.js
228maiwiki MediaWiki:Gadget-HotCat.js
229map_bmswiki MediaWiki:Gadget-HotCat.js
230mediawikiwiki MediaWiki:Gadget-HotCat.js
231metawiki MediaWiki:Gadget-HotCat.js
232metawiki MediaWiki:HotCat.js
233mgwiktionary MediaWiki:Gadget-HotCat.js
234minwiki MediaWiki:Gadget-HotCat.js
235mkwiki MediaWiki:Gadget-HotCat.js
236mkwikisource MediaWiki:Gadget-HotCat.js
237mkwiktionary MediaWiki:Gadget-HotCat.js
238mlwiki MediaWiki:Gadget-HotCat.js
239mlwikibooks MediaWiki:Gadget-HotCat.js
240mlwikiquote MediaWiki:Gadget-HotCat.js
241mlwikisource MediaWiki:Gadget-HotCat.js
242mlwiktionary MediaWiki:Gadget-HotCat.js
243mrjwiki MediaWiki:Gadget-HotCat.js
244mrwiki MediaWiki:Gadget-HotCat.js
245mswiki MediaWiki:Gadget-HotCat.js
246mswiktionary MediaWiki:Gadget-HotCat.js
247mwlwiki MediaWiki:Gadget-HotCat.js
248mznwiki MediaWiki:Gadget-HotCat.js
249ndswiki MediaWiki:Gadget-HotCat.js
250newiki MediaWiki:Gadget-HotCat.js
251newwiki MediaWiki:Gadget-HotCat.js
252nlwiki MediaWiki:Gadget-HotCat.js
253nlwikimedia MediaWiki:Gadget-HotCat.js
254nlwikisource MediaWiki:Gadget-HotCat.js
255nlwiktionary MediaWiki:Gadget-HotCat.js
256nnwiki MediaWiki:Gadget-HotCat.js
257nowiki MediaWiki:Gadget-HotCat.js
258nowikiquote MediaWiki:HotCat.js
259nowikiquote MediaWiki:Monobook.js
260nowiktionary MediaWiki:Gadget-HotCat.js
261nvwiki MediaWiki:Gadget-HotCat.js
262ocwiki MediaWiki:Gadget-HotCats.js
263ocwiktionary MediaWiki:Gadget-HotCat.js
264orwiki MediaWiki:Gadget-HotCat.js
265orwiktionary MediaWiki:Gadget-HotCat.js
266oswiki MediaWiki:Gadget-HotCat.js
267outreachwiki MediaWiki:Gadget-HotCat.js
268pawiki MediaWiki:Gadget-HotCat.js
269pawiktionary MediaWiki:Gadget-HotCat.js
270pdcwiki MediaWiki:Gadget-HotCat.js
271piwiki MediaWiki:Gadget-HotCat.js
272plwiki MediaWiki:Gadget-HotCat.js
273plwiki MediaWiki:Gadget-Lupo-Utilities.js
274plwikibooks MediaWiki:Gadget-HotCat.js
275plwikinews MediaWiki:Gadget-HotCat.js
276plwikiquote MediaWiki:Gadget-HotCat.js
277plwikisource MediaWiki:Gadget-HotCat.js
278plwikivoyage MediaWiki:Gadget-HotCat.js
279pntwiki MediaWiki:Gadget-HotCats.js
280pswiki MediaWiki:Gadget-HotCat.js
281pswiktionary MediaWiki:Gadget-HotCat.js
282ptwiki MediaWiki:Gadget-HotCat.js
283ptwiki MediaWiki:Gadget-UploadForm.js
284ptwikinews MediaWiki:Gadget-HotCat.js
285ptwikiquote MediaWiki:Gadget-HotCat.js
286ptwikisource MediaWiki:Gadget-HotCat.js
287ptwikiversity MediaWiki:Gadget-HotCat.js
288ptwikivoyage MediaWiki:Gadget-HotCat.js
289ptwiktionary MediaWiki:Gadget-HotCat.js
290rowiki MediaWiki:Diacritice.js
291rowiki MediaWiki:Gadget-HotCat.js
292rowikinews MediaWiki:Gadget-HotCat.js
293rowikivoyage MediaWiki:Gadget-HotCat.js
294ruewiki MediaWiki:Gadget-HotCat.js
295ruwiki MediaWiki:Gadget-HotCat.js
296ruwiki MediaWiki:Gadget-Hotcatcheck.js
297ruwikibooks MediaWiki:Gadget-HotCat.js
298ruwikimedia MediaWiki:Gadget-HotCat.js
299ruwikinews MediaWiki:Gadget-HotCat.js
300ruwikiquote MediaWiki:Gadget-HotCat.js
301ruwikisource MediaWiki:Gadget-HotCat.js
302ruwiktionary MediaWiki:Gadget-HotCat.js
303sawiki MediaWiki:Gadget-HotCat.js
304sawikiquote MediaWiki:Gadget-HotCat.js
305sawikisource MediaWiki:Gadget-HotCat.js
306sawiktionary MediaWiki:Gadget-HotCat.js
307sewiki MediaWiki:Common.js
308sewiki MediaWiki:Gadget-HotCat.js
309sewikimedia MediaWiki:Gadget-hotcat.js
310shwiki MediaWiki:Gadget-HotCat.js
311shwiktionary MediaWiki:Gadget-HotCat.js
312simplewiki MediaWiki:Gadget-HotCat.js
313simplewiki MediaWiki:Gadget-Hotcat.js
314simplewiki MediaWiki:Hotcat.js
315simplewikibooks MediaWiki:Gadget-HotCat.js
316simplewikibooks MediaWiki:HotCat.js
317simplewikiquote MediaWiki:Gadget-Hotcat.js
318simplewiktionary MediaWiki:Gadget-Hotcat.js
319siwiki MediaWiki:Gadget-HotCat.js
320siwiki MediaWiki:UploadForm.js
321siwikibooks MediaWiki:Gadget-HotCat.js
322siwiktionary MediaWiki:Gadget-HotCat.js
323skwiki MediaWiki:Gadget-HotCat.js
324slwiki MediaWiki:Gadget-HotCat.js
325slwikibooks MediaWiki:Gadget-HotCat.js
326slwikisource MediaWiki:Gadget-HotCat.js
327slwikiversity MediaWiki:Gadget-HotCat.js
328sourceswiki MediaWiki:Gadget-HotCat.js
329sqwiki MediaWiki:Gadget-HotCat.js
330sqwikinews MediaWiki:Gadget-HotCat.js
331srwiki MediaWiki:Gadget-HotCat.js
332srwikinews MediaWiki:Gadget-HotCat.js
333srwikiquote MediaWiki:Gadget-HotCat.js
334srwikisource MediaWiki:Gadget-HotCat.js
335strategywiki MediaWiki:Gadget-HotCat.js
336strategywiki MediaWiki:Gadget-hotcat.js
337suwiki MediaWiki:Gadget-HotCat.js
338svwiki MediaWiki:Gadget-hotcat.js
339svwikibooks MediaWiki:Gadget-HotCat.js
340svwikinews MediaWiki:Gadget-hotcat.js
341svwikiquote MediaWiki:Gadget-hotcat.js
342svwikiversity MediaWiki:Gadget-hotcat.js
343szlwiki MediaWiki:Gadget-HotCat.js
344tawiki MediaWiki:Gadget-HotCat.js
345tawiki MediaWiki:Gadget-HotCat2.js
346tawikinews MediaWiki:Gadget-HotCat.js
347tawikiquote MediaWiki:Gadget-HotCat.js
348tawiktionary MediaWiki:Gadget-HotCat.js
349tenwiki MediaWiki:Gadget-HotCat.js
350test2wiki MediaWiki:Gadget-GalleryDetails.js
351test2wiki MediaWiki:Gadget-HotCat.js
352testwiki MediaWiki:Gadget-uploadForm.js
353testwiki MediaWiki:Gadgets-HotCat.js
354tewiki MediaWiki:Gadget-HotCat.js
355tewikiquote MediaWiki:Gadget-HotCat.js
356tewikisource MediaWiki:Gadget-HotCat.js
357tewiktionary MediaWiki:Gadget-HotCat.js
358thwiki MediaWiki:Gadget-HotCat.js
359thwikibooks MediaWiki:Gadget-HotCat.js
360thwikibooks MediaWiki:Gadget-Hotcat.js
361thwikiquote MediaWiki:Gadget-HotCat.js
362thwikisource MediaWiki:Gadget-HotCat.js
363thwiktionary MediaWiki:Gadget-HotCat.js
364tlwiki MediaWiki:Gadget-HotCat.js
365trwiki MediaWiki:Gadget-HotCat.js
366trwiki MediaWiki:Gadget-HotCat.js
367trwikimedia MediaWiki:Gadget-HotCat.js
368trwikinews MediaWiki:Gadget-HotCat.js
369trwikiquote MediaWiki:Gadget-HotCat.js
370ttwiki MediaWiki:Gadget-HotCat.js
371uawikimedia MediaWiki:Gadget-HotCat.js
372udmwiki MediaWiki:Gadget-HotCat.js
373ukwiki MediaWiki:Gadget-HotCat.js
374ukwikimedia MediaWiki:Gadget-HotCat.js
375ukwikinews MediaWiki:Gadget-Cat-a-lot.css
376ukwikinews MediaWiki:Gadget-HotCat.js
377ukwikiquote MediaWiki:Gadget-HotCat.js
378ukwikisource MediaWiki:Gadget-HotCat.js
379ukwikivoyage MediaWiki:Gadget-HotCat.js
380urwiki MediaWiki:Gadget-HotCat.js
381urwiki MediaWiki:Gadget-LiveRC.js
382urwiki MediaWiki:Gadget-LiveRC.js/Extensions/HotCatsMulti.js
383urwiki MediaWiki:Gadget-RenommageCategorie.js
384urwiki MediaWiki:Gadget-UploadForm.js
385urwikiquote MediaWiki:Gadget-HotCat.js
386uzwiki MediaWiki:Gadget-HotCat.js
387vecwiki MediaWiki:Gadget-HotCat.js
388viwiki MediaWiki:Gadget-HotCat.js
389viwikibooks MediaWiki:Gadget-HotCat.js
390viwikiquote MediaWiki:Gadget-HotCat.js
391viwikisource MediaWiki:Gadget-HotCat.js
392viwiktionary MediaWiki:Gadget-HotCat.js
393vowiktionary MediaWiki:Gadget-HotCat.js
394wikidatawiki MediaWiki:Gadget-HotCat.js
395wikimania2009wiki MediaWiki:Gadget-HotCat.js
396wikimania2010wiki MediaWiki:Gadget-HotCat.js
397wikimania2011wiki MediaWiki:Gadget-HotCat.js
398wikimania2012wiki MediaWiki:Gadget-HotCat.js
399wikimania2013wiki MediaWiki:Gadget-HotCat.js
400wikimania2014wiki MediaWiki:Gadget-HotCat.js
401wikimania2015wiki MediaWiki:Gadget-HotCat.js
402wikimania2016wiki MediaWiki:Gadget-HotCat.js
403wowiki MediaWiki:Gadget-HotCats.js
404wowiktionary MediaWiki:Gadget-HotCats.js
405wuuwiki MediaWiki:Gadget-HotCat.js
406xmfwiki MediaWiki:Gadget-Hotcat.js
407yiwiki MediaWiki:Gadget-HotCat.js
408zh_min_nanwiki MediaWiki:Gadget-HotCat.js
409zh_yuewiki MediaWiki:Gadget-HotCat.js
410zhwiki MediaWiki:Gadget-HotCat.js
411zhwikibooks MediaWiki:Gadget-HotCat.js
412zhwikisource MediaWiki:Gadget-HotCat.js
413zhwikisource MediaWiki:Gadget-RenommageCategorie.js
414zuwiki MediaWiki:Gadget-HotCat.js
415
416## Private wiki results
4177 results redacted
418
419(total: 419, shown: 419)

Thanks krenair. How many false positives are there in P229? Does this list really mean we potentially have 386 wikis with non-functioning JavaScript (at least for the gadget's users)?

Krinkle added a subscriber: Krinkle.Feb 2 2015, 7:46 PM

Thanks krenair. How many false positives are there in P229? Does this list really mean we potentially have 386 wikis with non-functioning JavaScript (at least for the gadget's users)?

No. Many of these are matches for the "import from Commons" one-line script.

Aklapper lowered the priority of this task from Unbreak Now! to Normal.Apr 9 2015, 12:41 PM

What is the status here?

Unknown. We should go through the list of pages in P229 and work out which ones are still broken, if any.

He7d3r updated the task description. (Show Details)Apr 9 2015, 2:26 PM
He7d3r added a project: Regression.
Nemo_bis added a subscriber: Tnegrin.EditedApr 22 2015, 6:59 AM

Toby, is this something the Community Tech team can work on? Short summary: some projects are currently non-functioning (broken JS/CSS, skin and layout, etc.) because of JavaScript errors. I found ps.wikipedia yesterday, for instance. Local scripts, gadgets etc. need to be fixed where local sysops did not manage to.

There should be a way to monitor statistics of wikis where a majority of users is affected by errors/notices/exceptions etc.

Nemo_bis updated the task description. (Show Details)Apr 22 2015, 7:01 AM

Sigh, pswiki. I've mentioned the technical/administrative issues there before, I'm not surprised their JS is broken.

We are investigating. Please see T108630 and add any information you have.

kaldari closed this task as Resolved.Oct 16 2015, 10:14 PM
kaldari claimed this task.
kaldari added a subscriber: kaldari.

Community Tech fixed over 100 broken installations of HotCat (T110149). In the process we migrated many of them to import directly from the Commons gadget (while retaining local configuration). We also fixed lots of other broken site JS in the process that was preventing other things from loading.

I think that should also take care of this bug. If not, feel free to reopen.

Community Tech fixed over 100 broken installations of HotCat (T110149). In the process we migrated many of them to import directly from the Commons gadget (while retaining local configuration). We also fixed lots of other broken site JS in the process that was preventing other things from loading.

Sounds impressive!

DannyH moved this task from Untriaged to Archive on the Community-Tech board.Nov 3 2015, 11:44 PM